### Enumeration

# Gtk PrintCapabilities

#### Declaration

    flags Gtk.PrintCapabilities

#### Description [src]

Specifies which features the print dialog should offer.

If neither `GTK_PRINT_CAPABILITY_GENERATE_PDF` nor `GTK_PRINT_CAPABILITY_GENERATE_PS` is specified, GTK assumes that all formats are supported.

#### Members

`GTK_PRINT_CAPABILITY_PAGE_SET`

  Print dialog will offer printing even/odd pages.

  - Value: `1`
  - Available since: 4.0
`GTK_PRINT_CAPABILITY_COPIES`

  Print dialog will allow to print multiple copies.

  - Value: `2`
  - Available since: 4.0
`GTK_PRINT_CAPABILITY_COLLATE`

  Print dialog will allow to collate multiple copies.

  - Value: `4`
  - Available since: 4.0
`GTK_PRINT_CAPABILITY_REVERSE`

  Print dialog will allow to print pages in reverse order.

  - Value: `8`
  - Available since: 4.0
`GTK_PRINT_CAPABILITY_SCALE`

  Print dialog will allow to scale the output.

  - Value: `16`
  - Available since: 4.0
`GTK_PRINT_CAPABILITY_GENERATE_PDF`

  The program will send the document to the printer in PDF format.

  - Value: `32`
  - Available since: 4.0
`GTK_PRINT_CAPABILITY_GENERATE_PS`

  The program will send the document to the printer in Postscript format.

  - Value: `64`
  - Available since: 4.0
`GTK_PRINT_CAPABILITY_PREVIEW`

  Print dialog will offer a preview.

  - Value: `128`
  - Available since: 4.0
`GTK_PRINT_CAPABILITY_NUMBER_UP`

  Print dialog will offer printing multiple pages per sheet.

  - Value: `256`
  - Available since: 4.0
`GTK_PRINT_CAPABILITY_NUMBER_UP_LAYOUT`

  Print dialog will allow to rearrange pages when printing multiple pages per sheet.

  - Value: `512`
  - Available since: 4.0